# csvmagic
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](LICENSE)
[![Release](https://img.shields.io/github/v/release/markuskimius/csvmagic?include_prereleases&label=Release)](https://github.com/markuskimius/csvmagic/releases)

Command line utilities to work with csv files.

## Contents

- [csvread] - Display csv rows in a more human-readable format.
- [csvcut] - Extract or rearrange columns of a csv file.
- [csvgrep] - Find rows matching a pattern in a csv file.
- [csvalign] - Print a csv file with its columns aligned.
- [csvsql] - Query one or more csv files.
- [csvcsv] - Convert a csv file from one variant to another.


## Installation

With pip:
```
pip install csvmagic
```

With [dpm]:
```
dpm install https://github.com/markuskimius/csvmagic.git
```

With git clone, after installing the dependencies with pip:
```
pip install getopts
git clone https://github.com/markuskimius/csvmagic.git
```


## License

[Apache 2.0]

[csvread]: https://github.com/markuskimius/csvmagic/blob/master/doc/csvread.md
[csvcut]: https://github.com/markuskimius/csvmagic/blob/master/doc/csvcut.md
[csvalign]: https://github.com/markuskimius/csvmagic/blob/master/doc/csvalign.md
[csvsql]: https://github.com/markuskimius/csvmagic/blob/master/doc/csvsql.md
[csvcsv]: https://github.com/markuskimius/csvmagic/blob/master/doc/csvcsv.md
[csvgrep]: https://github.com/markuskimius/csvmagic/blob/master/doc/csvgrep.md
[Apache 2.0]: <https://github.com/markuskimius/csvmagic/blob/master/LICENSE>
[dpm]: <https://github.com/markuskimius/dpm>
